import * as $dara from '@darabonba/typescript';
import { DescribeLoginSwitchConfigsResponseBody } from "./DescribeLoginSwitchConfigsResponseBody";
export declare class DescribeLoginSwitchConfigsResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeLoginSwitchConfigsResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
